System.register(['angular2/core', 'angular2/router', 'angular2/platform/browser'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, router_1, browser_1;
    var Disqus;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (router_1_1) {
                router_1 = router_1_1;
            },
            function (browser_1_1) {
                browser_1 = browser_1_1;
            }],
        execute: function() {
            Disqus = (function () {
                function Disqus(_location, _dom, _window) {
                    this._location = _location;
                    this._dom = _dom;
                    this._window = _window;
                }
                /**
                 * Component on init
                 */
                Disqus.prototype.ngOnInit = function () {
                    if (this._window.DISQUS === undefined) {
                        this._addScriptTag();
                    }
                    else {
                        this._reset();
                    }
                };
                /**
                 * Reset Disqus with new information.
                 */
                Disqus.prototype._reset = function () {
                    this._window.DISQUS.reset({
                        reload: true,
                        config: this._getConfig()
                    });
                };
                /**
                 * Add the Disqus script to the document.
                 */
                Disqus.prototype._addScriptTag = function () {
                    this._window.disqus_config = this._getConfig();
                    var container = this._getScriptContainer();
                    var script = this._buildScriptTag("//" + this.shortname + ".disqus.com/embed.js");
                    this._dom.appendChild(container, script);
                };
                /**
                 * Get Disqus config
                 */
                Disqus.prototype._getConfig = function () {
                    var _self = this;
                    return function () {
                        this.page.url = _self._location.path();
                        this.page.identifier = _self.identifier;
                        this.language = 'en';
                    };
                };
                /**
                 * Get the HEAD element
                 * @return {HTMLHeadElement}
                 */
                Disqus.prototype._getScriptContainer = function () {
                    return this._dom.query('head');
                };
                /**
                 * Build the Disqus script element.
                 * @param  {string} src
                 * @return {HTMLScriptElement}
                 */
                Disqus.prototype._buildScriptTag = function (src) {
                    var script = this._dom.createScriptTag('src', src);
                    script.async = true;
                    script.type = 'text/javascript';
                    script.setAttribute('data-timestamp', new Date().getTime().toString());
                    return script;
                };
                __decorate([
                    core_1.Input(), 
                    __metadata('design:type', String)
                ], Disqus.prototype, "identifier", void 0);
                __decorate([
                    core_1.Input(), 
                    __metadata('design:type', String)
                ], Disqus.prototype, "shortname", void 0);
                Disqus = __decorate([
                    core_1.Component({
                        selector: 'disqus',
                        template: '<div id="disqus_thread"></div>',
                        properties: ['identifier', 'shortname'],
                        providers: [browser_1.BrowserDomAdapter, core_1.provide(Window, { useValue: window })]
                    }), 
                    __metadata('design:paramtypes', [router_1.Location, browser_1.BrowserDomAdapter, Window])
                ], Disqus);
                return Disqus;
            }());
            exports_1("Disqus", Disqus);
        }
    }
});
//# sourceMappingURL=disqus.js.map